Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.portal.portlet.cache
Enum CacheLevel

    java.lang.Object
      java.lang.Enum<CacheLevel>
          org.jboss.portal.portlet.cache.CacheLevel

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CacheLevel>

    public enum CacheLevel

extends java.lang.Enum<CacheLevel>

Version:
  $Revision: 630 $
Author:
  Julien Viet

Enum Constant Summary
`FULL`
`PAGE`
`PORTLET`

Method Summary
`static CacheLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CacheLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FULL

    public static final CacheLevel FULL

### PORTLET

    public static final CacheLevel PORTLET

### PAGE

    public static final CacheLevel PAGE

Method Detail

### values

    public static final CacheLevel[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(CacheLevel c : CacheLevel.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static CacheLevel valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008. All Rights Reserved.